=== debian/changelog ===
btrbk (0.19.3-1) unstable; urgency=medium

  * New upstream release.
  * Initial debian packaging (Closes: #791797)
  * Bugfix: fix sorting of dates in schedule().
  * Bugfix: correct parsing of btrfs subvolume list (close: #28).
  * Support for btrfs-progs v4.1-rc1.

 -- Axel Burri <axel@tty0.ch>  Sun, 21 Jun 2015 15:39:05 +0200

btrbk (0.19.2-1) UNRELEASED; urgency=low

  * New upstream release.
  * Bugfix: fix crash when using btrfs-progs < 3.17.3 (close: #24).

 -- Axel Burri <axel@tty0.ch>  Sun, 07 Jun 2015 12:37:27 +0200

btrbk (0.19.1-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Use "cgen" for snapshot comparison.
  * Bugfix: fix crash in summary display (close: #22).

 -- Axel Burri <axel@tty0.ch>  Mon, 01 Jun 2015 12:53:14 +0200

btrbk (0.19.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Added "snapshot_create onchange", which skips snapshot creation if
    the latest snapshot is up-to-date (i.e. has same generation as the
    source subvolume).
  * Improved handling of command line subvolume filter for "run",
    "dryrun" and "tree" actions (close: #21).
  * Bugfix: fixed crash in action "diff".

 -- Axel Burri <axel@tty0.ch>  Wed, 27 May 2015 17:38:45 +0200

btrbk (0.18.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * MIGRATION
    - update ssh_filter_btrbk.sh on all remote hosts
    - update configuration file (/etc/btrbk/btrbk.conf):
      - "snapshot_create_always yes" -> "snapshot_create always"
      - "snapshot_create_always no"  -> "snapshot_create ondemand"
  * Set PATH variable instead of using absolute "/sbin/btrfs" for
    compatibility with all linux distros out there, which all install
    'btrfs' in different locations (close: #20).
  * Added configuration option "snapshot_create", replacing option
    "snapshot_create_always". This allows setups with multiple btrbk
    instances on several hosts (close: #18).
  * Added command line option -r (resume only).
  * Catch and display errors from "btrfs subvolume show".
  * Include systemd service and timer unit for daily backups.

 -- Axel Burri <axel@tty0.ch>  Thu, 21 May 2015 15:58:44 +0200

btrbk (0.17.1-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Bugfix: send/receive: delete possibly left-behind garbled
    subvolume on failure. Fail with unrecoverable error if stray
    target subvolume is in the way (close: #17).
  * Bugfix: assume unreachable target as clean on snapshot creation if
    snapshot_create_always is set (close: #19).

 -- Axel Burri <axel@tty0.ch>  Fri, 15 May 2015 18:00:14 +0100

btrbk (0.17.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * New versioning scheme using more common three-level versions.
  * Code refactoring: cleanup of data structures and handling of btrfs
    subvolume tree, as well as security related code parts.
  * Correct handling of symlinks to btrfs subvolumes (close: #12).
  * Added configuration option "snapshot_name" (close: #5).
  * Log messages now go to stderr, only the summary is printed on
    stdout.
  * Bugfix: allow "0" as subvolume name (close: #10).
  * Bugfix: allow "/" as volume name (close: #15).
  * Bugfix: check source AND targets for determining snapshot postfix
    (close: #11).
  * Bugfix: fixed "diff" action (colses: #14).
  * Allow '+' character for subvolume names.
  * Filesystems on remote hosts are now printed as
    "{my.remote-host.com}" in summary and logs.

 -- Axel Burri <axel@tty0.ch>  Thu, 30 Apr 2015 14:52:44 +0100

btrbk (0.16-1) UNRELEASED; urgency=high

  * New upstream release.
  * Bugfix: correctly check retention policy for missing backups

 -- Axel Burri <axel@tty0.ch>  Wed, 02 Apr 2015 17:27:22 +0100

btrbk (0.15-1) UNRELEASED; urgency=low

  * New upstream release.
  * Added configuration option "btrfs_progs_compat", to be enabled if
    using btrfs-progs < 3.17 (close: #6).
  * Added configuration option "resume_missing", for automatic resume
    of missing backups (close: #8).
  * Removed configuration option "receive_log" in favor of printing
    errors from "btrfs receive".
  * Bugfix: show correct exit code on external command failure.
  * Bugfix: no crash if "commit_delete" option is set to "no"

 -- Axel Burri <axel@tty0.ch>  Wed, 01 Apr 2015 17:01:06 +0100

btrbk (0.14-1) UNRELEASED; urgency=low

  * New upstream release.
  * Bugfix: correctly handle empty target subvolumes (blocker for all
    new users; close: #4).

 -- Axel Burri <axel@tty0.ch>  Fri, 20 Mar 2015 18:08:47 +0100

btrbk (0.13-1) UNRELEASED; urgency=low

  * New upstream release.
  * Bugfix: allow '@' character for subvolume names (blocker for
    ubuntu users, since ubuntu prefixes all subvolumes with '@' in its
    subvolume layout; close: #3).

 -- Axel Burri <axel@tty0.ch>  Thu, 19 Mar 2015 17:20:46 +0100

btrbk (0.12-1) UNRELEASED; urgency=low

  * New upstream release.
  * Cleaner and more generic parsing of btrfs subvolume list.
  * Bugfix: subvolumes are also allowed for "snapshot_dir" (close:
    #1, #2).

 -- Axel Burri <axel@tty0.ch>  Fri, 13 Mar 2015 19:39:42 +0100

btrbk (0.11-1) UNRELEASED; urgency=low

  * New upstream release.
  * Added option -p (preserve backups).
  * Added optional subvolume argument for run/dryrun actions, for
    explicit selection of subvolumes to be processed.
  * Bugfixes

 -- Axel Burri <axel@tty0.ch>  Mon, 2 Mar 2015 11:35:22 +0100

btrbk (0.10-1) UNRELEASED; urgency=low

  * Initial release.

 -- Axel Burri <axel@tty0.ch>  Tue, 10 Feb 2015 15:58:40 +0100
