=== debian/control ===
Source: btrbk
Section: utils
Priority: optional
Maintainer: Axel Burri <axel@tty0.ch>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9)
Homepage: http://www.digint.ch/btrbk/

Package: btrbk
Architecture: all
Depends: perl, libdate-calc-perl, btrfs-tools (>= 3.14), ${misc:Depends}
Suggests: openssh-client
Description: backup tool for btrfs volumes
 Backup tool for btrfs volumes, using a configuration file, allows
 creation of backups from multiple sources to multiple destinations at
 once, with ssh and configurable retention support
 (daily/weekly/monthly).
