=== debian/changelog ===
btrbk (0.20.0-1~nd14.10+1) utopic; urgency=low

  * Backported for utopic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 02 Sep 2015 09:45:20 -0400

btrbk (0.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Added configuration option "ssh_port" (close: #39).
  * Added configuration option "ssh_compression" (close: #44).
  * Added command line option "--progress" (close: #42).
  * Bugfix: correct handling of empty "snapshot_dir" (close: #43).
  * Accept long options on command line.
  * Documentation: added FAQ.

 -- Axel Burri <axel@tty0.ch>  Wed, 02 Sep 2015 12:21:08 +0200
