=== debian/changelog ===
btrbk (0.22.2-1) unstable; urgency=high

  * New upstream release.
  * Bugfix: fix checks on "btrfs sub show" output, which resulted in
    breakage on btrfs-progs < 4.1.

 -- Axel Burri <axel@tty0.ch>  Tue, 02 Feb 2016 11:28:48 +0100

btrbk (0.22.1-1) unstable; urgency=high

  * New upstream release.
  * Support for btrfs-progs v4.4.

 -- Axel Burri <axel@tty0.ch>  Wed, 20 Jan 2016 18:51:07 +0100

btrbk (0.22.0-1) unstable; urgency=high

  * New upstream release.
  * Bugfix: fix monthly schedule if older than 10 weeks.
  * Bugfix: fix sprintf used by config option "timestamp_format long"
    when using perl-5.22.0.
  * Bugfix: fix "--progress" option.
  * Added "clean" command.
  * Added "-n, --dry-run" option.
  * Added configuration options "raw_target_compress_level",
    "raw_target_compress_threads".
  * Added "stats" command.
  * Print "$hostname:$path" instead of "{$hostname}$path" in summary
    and logs.

 -- Axel Burri <axel@tty0.ch>  Tue, 19 Jan 2016 20:54:31 +0100

btrbk (0.21.0-1) unstable; urgency=medium

  * Added transaction log (configuration option "transaction_log").
  * Added configuration option "group".
  * Allow filtering of all commands by group as well as targets.
  * Added "list backups|snapshots|latest|config|source|volume|target"
    commands (while removing "tree" command).
  * Added "config print" command.
  * Added "--format=table|long|raw" and "-t,--table" command line
    options, producing tabular and raw (machine-readable) output for
    "(dry)run", "tree" and "list" commands.
  * Print scheduler details if -v option is set on action run/dryrun.
  * Added configuration option "ssh_cipher_spec" (close: #47).
  * Added "target raw", with GnuPG and compression support
    (experimental).
  * Added configuration option "timestamp_format short|long".
  * Replaced "info" command with "usage", with tabular output.
  * Bugfix: correctly handle "incremental no" option.
  * Bugfix: return exit status 10 instead of 0 if one or more backup
    tasks aborted.
  * Better error handling for send/receive commands (close: #33).
  * Hardened ssh_filter_btrbk.sh script: fine-grained access control,
    restrict-path option, sudo option (close: #45).
  * Added example cron script.

 -- Axel Burri <axel@tty0.ch>  Sun, 25 Oct 2015 12:37:28 +0100
