=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/btrbk-$1.tar.gz/ \
https://github.com/digint/btrbk/tags .*/v?(\d[\d\.]+)\.tar\.gz
