## btrbk 0.23.2

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	@echo 'installing systemd service units...'
 	install -Dm644 contrib/systemd/btrbk.service "$(DESTDIR)$(SYSTEMDDIR)/btrbk.service"
 	install -Dm644 contrib/systemd/btrbk.timer "$(DESTDIR)$(SYSTEMDDIR)/btrbk.timer"
+	sed -i -e "s#/usr/sbin/btrbk#$(BINDIR)/btrbk#g" "$(DESTDIR)$(SYSTEMDDIR)/btrbk.service"
 
 install-share:
 	@echo 'installing auxiliary scripts...'
@@ -41,7 +42,9 @@
 	@echo 'installing documentation...'
 	install -Dm644 README.md "$(DESTDIR)$(DOCDIR)/README.md"
 	install -Dm644 doc/FAQ.md "$(DESTDIR)$(DOCDIR)/FAQ.md"
+	install -Dm644 doc/upgrade_to_v0.23.0.md "$(DESTDIR)$(DOCDIR)/upgrade_to_v0.23.0.md"
 	gzip -9 "$(DESTDIR)$(DOCDIR)/README.md"
 	gzip -9 "$(DESTDIR)$(DOCDIR)/FAQ.md"
+	gzip -9 "$(DESTDIR)$(DOCDIR)/upgrade_to_v0.23.0.md"
 
 install: install-bin install-systemd install-share install-man install-doc
