=== debian/changelog ===
btrbk (0.24.0-1) unstable; urgency=medium

  * New upstream release.

 -- Axel Burri <axel@tty0.ch>  Wed, 16 Nov 2016 15:36:10 +0100

btrbk (0.23.3-1) unstable; urgency=low

  * New upstream release.
  * Rename upstream "ChangeLog" to "changelog".
  * Fix copyright year.

 -- Axel Burri <axel@tty0.ch>  Thu, 14 Jul 2016 02:30:34 +0200
