## btrbk 0.25.0

=== debian/changelog ===
btrbk (0.25.0-1~nd70+1) wheezy; urgency=medium

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 23 Mar 2017 21:25:22 -0400

btrbk (0.25.0-1) unstable; urgency=medium

  * New upstream release.

 -- Axel Burri <axel@tty0.ch>  Sat, 18 Mar 2017 17:24:40 +0100
