=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: btrbk
 Section: utils
 Priority: optional
-Maintainer: Axel Burri <axel@tty0.ch>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Axel Burri <axel@tty0.ch>
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9)
 Homepage: http://digint.ch/btrbk/
@@ -11,7 +12,7 @@
 
 Package: btrbk
 Architecture: all
-Depends: perl, btrfs-progs (>= 3.18.2) | btrfs-tools (>= 3.18.2), ${misc:Depends}
+Depends: neurodebian-popularity-contest, perl, btrfs-progs (>= 3.18.2) | btrfs-tools (>= 3.18.2), ${misc:Depends}
 Recommends: openssh-client, pv
 Description: backup tool for btrfs subvolumes
  Backup tool for btrfs subvolumes, using a configuration file, allows
