=== debian/changelog ===
btrbk (0.25.1-1) unstable; urgency=medium

  * New upstream release.

 -- Axel Burri <axel@tty0.ch>  Sun, 30 Jul 2017 16:30:30 +0200
