=== debian/watch ===
version=3
http://digint.ch/download/btrbk/releases/btrbk-(\d[\d\.]+)\.tar\.(?:gz|bz2|xz)
