## btrbk 0.26.1

=== debian/changelog ===
btrbk (0.26.1-1~nd14.04+1) trusty; urgency=medium

  * Backported for trusty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 27 Aug 2018 17:41:56 -0400

btrbk (0.26.1-1) unstable; urgency=low

  * New upstream release.
  * Use https for homepage, source and watch url.
  * Add "suggests" dependency on openssl.
  * Add "recommends" dependency on mbuffer.
  * Silence lintian python-script-but-no-python-dep

 -- Axel Burri <axel@tty0.ch>  Mon, 05 Mar 2018 14:22:32 +0100
