## btrbk 0.27.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,13 @@
-# NOTE: systemd units are hardcoded in "install-systemd" for simplicity
-# NOTE: documentation inside "doc/" folder is processed in "doc/Makefile"
+#
+# Btrbk is a single perl script, and does not require any special
+# installation procedures or libraries. There is no need to run the
+# "all" build target if you don't want to build the man pages (see
+# doc/Makefile).
+#
+# Note: systemd units (file names) are hardcoded in "install-systemd"
+# build target for simplicity.
+#
+
 BIN        = btrbk
 CONFIGS    = btrbk.conf.example
 DOCS       = ChangeLog \
@@ -19,6 +27,12 @@
 SYSTEMDDIR = $(PREFIX)/lib/systemd/system
 MAN1DIR    = $(PREFIX)/share/man/man1
 MAN5DIR    = $(PREFIX)/share/man/man5
+
+export COMPRESS ?= yes
+
+ifeq ($(COMPRESS), yes)
+  DOCS := $(addsuffix .gz,$(DOCS))
+endif
 
 replace_vars = sed \
 	-e "s|@PN@|$(PN)|g" \
@@ -64,11 +78,10 @@
 	@echo 'installing man pages...'
 	@$(MAKE) -C doc install-man
 
-install-doc:
+install-doc: $(DOCS)
 	@echo 'installing documentation...'
 	install -d -m 755 "$(DESTDIR)$(DOCDIR)"
 	install -p -m 644 $(DOCS) "$(DESTDIR)$(DOCDIR)"
-	gzip -9f $(addprefix "$(DESTDIR)$(DOCDIR)"/, $(DOCS))
 	@$(MAKE) -C doc install-doc
 
 man:
@@ -76,4 +89,8 @@
 	@$(MAKE) -C doc man
 
 clean:
+	rm -f *.gz
 	@$(MAKE) -C doc clean
+
+%.gz : %
+	gzip -9 -n -c $< > $@
