=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Axel Burri <axel@tty0.ch>
-Uploaders: Yaroslav Halchenko <debian@onerussian.com>
 Standards-Version: 4.1.1
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 9),
  asciidoctor (>= 1.5.7) | asciidoc,
 Homepage: https://digint.ch/btrbk/
 Vcs-Git: https://github.com/digint/btrbk-packaging -b debian
@@ -14,7 +13,7 @@
 
 Package: btrbk
 Architecture: all
-Depends: perl, btrfs-progs (>= 3.18.2) | btrfs-tools (>= 3.18.2), ${misc:Depends}
+Depends: perl, btrfs-progs (>= 4.12) | btrfs-tools (>= 4.12), ${misc:Depends}
 Recommends: openssh-client, pv, mbuffer
 Suggests:
  openssl,
