## btrbk 0.29.1

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
              README.md
 SCRIPTS    = ssh_filter_btrbk.sh \
              contrib/cron/btrbk-mail \
+             contrib/cron/btrbk-verify \
              contrib/migration/raw_suffix2sidecar \
              contrib/crypt/kdf_pbkdf2.py
 
@@ -27,8 +28,6 @@
 SYSTEMDDIR = $(PREFIX)/lib/systemd/system
 MAN1DIR    = $(PREFIX)/share/man/man1
 MAN5DIR    = $(PREFIX)/share/man/man5
-
-export COMPRESS ?= yes
 
 ifeq ($(COMPRESS), yes)
   DOCS := $(addsuffix .gz,$(DOCS))
