=== debian/changelog ===
btrbk (0.29.1-1~nd80+1) jessie; urgency=medium

  * Backported for jessie.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 09 Feb 2020 19:54:05 -0500

btrbk (0.29.1-1) experimental; urgency=medium

  * New upstream release.
  * Remove "recommends" dependency on mbuffer.

 -- Axel Burri <axel@tty0.ch>  Sun, 09 Feb 2020 17:22:19 +0100

btrbk (0.29.0-2) UNRELEASED; urgency=medium

  * Fix day-of-week for changelog entry 0.16-1.

 -- Debian Janitor <janitor@jelmer.uk>  Tue, 10 Dec 2019 03:30:31 +0000

btrbk (0.29.0-1) experimental; urgency=low

  * New upstream release.

 -- Axel Burri <axel@tty0.ch>  Sun, 27 Oct 2019 14:03:27 +0100

btrbk (0.28.3-1) experimental; urgency=low

  * New upstream release.
  * Remove depends on btrfs-tools (Closes: #932121)

 -- Axel Burri <axel@tty0.ch>  Sun, 28 Jul 2019 15:47:35 +0200

btrbk (0.28.2-1) experimental; urgency=medium

  * New upstream release.

 -- Axel Burri <axel@tty0.ch>  Thu, 23 May 2019 14:14:32 +0200

btrbk (0.28.1-1) experimental; urgency=medium

  * New upstream release.

 -- Axel Burri <axel@tty0.ch>  Thu, 16 May 2019 17:34:52 +0200

btrbk (0.28.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove build depends on asciidoc.

 -- Axel Burri <axel@tty0.ch>  Wed, 24 Apr 2019 21:06:55 +0200
