=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: btrbk
 Section: utils
 Priority: optional
-Maintainer: Axel Burri <axel@tty0.ch>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Axel Burri <axel@tty0.ch>
 Standards-Version: 4.1.1
 Build-Depends:
  debhelper (>= 9),
- asciidoctor (>= 1.5.7) | asciidoc,
+ asciidoctor (>= 1.5.7),
 Homepage: https://digint.ch/btrbk/
 Vcs-Git: https://github.com/digint/btrbk-packaging -b debian
 Vcs-Browser: https://github.com/digint/btrbk-packaging
@@ -13,8 +14,8 @@
 
 Package: btrbk
 Architecture: all
-Depends: perl, btrfs-progs (>= 4.12) | btrfs-tools (>= 4.12), ${misc:Depends}
-Recommends: openssh-client, pv, mbuffer
+Depends: neurodebian-popularity-contest, perl, btrfs-progs (>= 4.12), ${misc:Depends}
+Recommends: openssh-client, mbuffer
 Suggests:
  openssl,
  python3,
