## btrbk 0.31.3

=== debian/changelog ===
btrbk (0.31.3-1) unstable; urgency=medium

  [ Axel Burri ]
  * New Upstream Release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 30 Aug 2021 11:41:58 -0400

btrbk (0.31.2-1) experimental; urgency=high

  * New Upstream Release
    - Fix security vulnerability in ssh_filter_btrbk.sh. Specially
      crafted commands may be executed without being propely
      checked. Applies to remote hosts filtering ssh commands using
      ssh_filter_btrbk.sh in authorized_keys.
      Affected versions: >= btrbk-0.23.0-1
      Patch for this issue was uploaded to sid in 0.27.1-2.

 -- Axel Burri <axel@tty0.ch>  Sun, 21 Mar 2021 13:55:28 +0100

btrbk (0.31.1-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Axel Burri <axel@tty0.ch>  Sun, 07 Mar 2021 18:28:34 +0100

btrbk (0.31.0-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Axel Burri <axel@tty0.ch>  Sun, 10 Jan 2021 19:13:14 +0100

btrbk (0.30.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Installs to /usr/bin/ instead of /usr/sbin
  * Use Build-Depends: debhelper (>= 12)

 -- Axel Burri <axel@tty0.ch>  Wed, 23 Sep 2020 15:21:33 +0200

btrbk (0.29.1-2) UNRELEASED; urgency=medium

  * Refer to specific version of license GPL-3+.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 06 May 2020 17:56:20 +0000
