=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: btrbk
 Section: utils
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Axel Burri <axel@tty0.ch>
+Maintainer: Axel Burri <axel@tty0.ch>
+Uploaders: Yaroslav Halchenko <debian@onerussian.com>
 Standards-Version: 4.1.1
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 12),
  asciidoctor (>= 1.5.7),
 Homepage: https://digint.ch/btrbk/
 Vcs-Git: https://github.com/digint/btrbk-packaging -b debian
@@ -14,7 +14,7 @@
 
 Package: btrbk
 Architecture: all
-Depends: neurodebian-popularity-contest, perl, btrfs-progs (>= 4.12), ${misc:Depends}
+Depends: perl, btrfs-progs (>= 4.12), ${misc:Depends}
 Recommends: openssh-client, mbuffer
 Suggests:
  openssl,
