=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,10 @@
 
 # fix lintian issues:
 # - systemd-service-file-outside-lib
-# - package-contains-timestamped-gzip
-# note: dh automagically gzips man and README files correctly!
+# - duplicate-changelog-files
 override_dh_auto_configure:
 	dh_auto_configure
 	sed -i \
 	  -e 's/^SYSTEMDDIR = .*/SYSTEMDDIR = \/lib\/systemd\/system/' \
-	  -e '/gzip -9 /d' \
+	  -e 's/ChangeLog//' \
 	  Makefile
